Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.util
Class StyleUtil

    java.lang.Object
      org.eclipse.birt.report.model.api.util.StyleUtil

    public class StyleUtil

extends java.lang.Object

Utility class to provide some methods about the style element, styled element and style properties.

Constructor Summary
`StyleUtil()`

Method Summary
`static void` | `addExtensionSelectors(ReportDesignHandle designHandle)` Adds selectors for extended elements to the report design.
`static DesignElementHandle` | `copyLocalStyles(DesignElementHandle source, DesignElementHandle target)` Gets the design element handle with all the style properties are copied to the returned value.
`static DesignElementHandle` | `copyStyles(DesignElementHandle source, DesignElementHandle target)` Gets the design element handle with all the style properties are copied to the returned value.
`static DesignElementHandle` | `copyStyles(DesignElementHandle source, DesignElementHandle target, boolean isCascaded)` Gets the design element handle with all the style properties are copied to the returned value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleUtil

    public StyleUtil()

Method Detail

### copyStyles

    public static DesignElementHandle copyStyles(DesignElementHandle source,
                                                 DesignElementHandle target,
                                                 boolean isCascaded)

  Gets the design element handle with all the style properties are copied to the returned value. If `isCascaded` is set to TRUE, the copied style property value will be the cascaded value, otherwise will be the factory value.

  Parameters:
    `source` -
    `isCascaded` -
  Returns:

### copyStyles

    public static DesignElementHandle copyStyles(DesignElementHandle source,
                                                 DesignElementHandle target)

  Gets the design element handle with all the style properties are copied to the returned value. The copied style property value will be the factory value and not cascaded.

  Parameters:
    `source` -
  Returns:

### copyLocalStyles

    public static DesignElementHandle copyLocalStyles(DesignElementHandle source,
                                                      DesignElementHandle target)

  Gets the design element handle with all the style properties are copied to the returned value. If `isCascaded` is set to TRUE, the copied style property value will be the cascaded value, otherwise will be the factory value.

  Parameters:
    `source` -
    `isCascaded` -
  Returns:

### addExtensionSelectors

    public static void addExtensionSelectors(ReportDesignHandle designHandle)

  Adds selectors for extended elements to the report design. This action will be non-undoable, that is, once the selectors are inserted to the design handle, it will not be removed by undo action.

  Parameters:
    `designHandle` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.